"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyntaxError = void 0;
/**
 * Syntax Error for s-expression parsing
 * contains message, line and column
 */
class SyntaxError extends Error {
    constructor(message, line, col) {
        super(`${message} line: ${line} col: ${col}`);
        this.line = line;
        this.col = col;
    }
}
exports.SyntaxError = SyntaxError;
//# sourceMappingURL=SyntaxError.js.map